import Vue from 'vue';
import { UploadFile } from './type';
import { UploadRemoveOptions } from './interface';
import { UploadConfig } from '../config-provider/config-receiver';
declare const _default: import("vue/types/vue").ExtendedVue<{
    useGlobalIcon(tdIcon: Record<string, any>): import("../config-provider/type").IconConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue & {
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: UploadConfig;
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
}, unknown, {
    onMaskClick(e: MouseEvent): void;
    onViewClick(e: MouseEvent, file?: UploadFile): void;
}, {
    showTrigger: boolean;
}, {
    showUploadProgress: boolean;
    files: UploadFile[];
    loadingFile: UploadFile;
    trigger: (e: MouseEvent) => void;
    remove: (options: UploadRemoveOptions) => void;
    multiple: boolean;
    max: number;
    disabled: boolean;
    locale: any;
}>;
export default _default;
